(TeX-add-style-hook "memoir"
 (lambda ()
    (LaTeX-add-index-entries
     "\\expandafter\\@gobble\\string#1?\\string\\cmdprint{\\string#1}"
     "\\@bsphack%
      \\@ifnextchar [{\\@index}{\\@index[\\jobname]}"
     "\\NAT@idxtxt"
     "\\@bsphack%
    \\@ifnextchar [{\\@glossary}{\\@glossary[\\jobname]}")
    (LaTeX-add-environments
     "writeverbatim"
     "MakeFramed"
     "boxedverbatim"
     "fboxverbatim"
     "verbatimoutput"
     "verbatim"
     "sidelegend"
     "sidenamedlegend"
     "sidecontcaption"
     "sidecaption"
     "tabularx"
     "tabular"
     "array"
     '("adjustwidth" 2)
     '("thebibliography" 1)
     '("bibitemlist" 1)
     '("flexlabelled" 6)
     '("labelled" 1)
     '("hangparas" 2)
     '("Spacing" 1)
     "SingleSpace"
     "OnehalfSpace"
     "DoubleSpace"
     "vminipage"
     "mem"
     "titlingpage"
     "appendices"
     "subappendices"
     "description"
     "blockdescription"
     "quotation"
     "quote"
     "symbols"
     "abstract"
     "onecolabstract"
     "verse"
     "altverse"
     "patverse"
     "marginfigure"
     "margintable"
     "subfloat"
     "epigraphs"
     "theindex"
     "theglossary"
     "framed"
     "shaded"
     "leftbar"
     "snugshade"
     "qframe"
     "qshade"
     "adjustwidth"
     "vplace"
     "midsloppypar")
    (LaTeX-add-labels
     "#1"
     "#3"
     "#2")
    (TeX-add-symbols
     "endnoteentry"
     "endnoteentryend"
     "endminipage"
     "endctabular"
     "enditemize"
     '("movetooddpage" ["argument"] 0)
     '("cleartooddpage" ["argument"] 0)
     '("movetoevenpage" ["argument"] 0)
     '("cleartoevenpage" ["argument"] 0)
     '("tabson" ["argument"] 0)
     '("setfootnoterule" ["argument"] 3)
     '("printglossary" ["argument"] 0)
     '("changeglossnumformat" ["argument"] 1)
     '("changeglossnum" ["argument"] 1)
     '("changeglossref" ["argument"] 1)
     '("changeglossactual" ["argument"] 1)
     '("printindex" ["argument"] 0)
     '("newlistentry" ["argument"] 3)
     '("epigraphforheader" ["argument"] 1)
     '("epigraphhead" ["argument"] 1)
     '("bicaption" ["argument"] 4)
     '("bionenumcaption" ["argument"] 5)
     '("bitwonumcaption" ["argument"] 5)
     '("providefixedcaption" ["argument"] 2)
     '("renewfixedcaption" ["argument"] 2)
     '("newfixedcaption" ["argument"] 2)
     '("newfloat" ["argument"] 3)
     '("autorows" ["argument"] 4)
     '("autocols" ["argument"] 4)
     '("memhline" ["argument"] 0)
     '("ctabular" ["argument"] 0)
     '("verselinebreak" ["argument"] 0)
     '("sourceatright" ["argument"] 1)
     '("raggedyright" ["argument"] 0)
     '("linenottooshort" ["argument"] 0)
     '("renewleadpage" ["argument"] 2)
     '("newleadpage" ["argument"] 2)
     '("semiisopage" ["argument"] 0)
     '("isopage" ["argument"] 0)
     '("medievalpage" ["argument"] 0)
     '("checkandfixthelayout" ["argument"] 0)
     '("checkthelayout" ["argument"] 0)
     '("setxlvchars" ["argument"] 0)
     '("setlxvchars" ["argument"] 0)
     '("leavespergathering" 1)
     '("iscntrmod" 2)
     '("OrdinalToName" 1)
     '("ordinaltoName" 1)
     '("ordinaltoname" 1)
     '("NumToName" 1)
     '("numtoName" 1)
     '("numtoname" 1)
     '("tensordinalname" 2)
     '("teenordinalname" 1)
     '("unitordinalname" 1)
     '("tensnumbername" 2)
     '("teennumbername" 1)
     '("unitnumbername" 1)
     '("fordinal" 1)
     '("ordinal" 1)
     '("fcardinal" 1)
     '("cardinal" 1)
     '("numdigits" 1)
     '("ordscript" 1)
     '("textsubscript" 1)
     '("slashfrac" 2)
     '("slashfracstyle" 1)
     '("needspace" 1)
     '("calccentering" 1)
     '("changepage" 9)
     '("changetext" 5)
     '("pmemlabelref" 1)
     '("newpmemlabel" 2)
     '("pmemlabel" 1)
     '("unletcounter" 1)
     '("letcountercounter" 2)
     '("providelength" 1)
     '("providecounter" 1)
     '("addtostream" 2)
     '("closeinputstream" 1)
     '("openinputfile" 2)
     '("closeoutputstream" 1)
     '("openoutputfile" 2)
     '("IfStreamOpen" 3)
     '("newinputstream" 1)
     '("newoutputstream" 1)
     '("memfblineboxa" 1)
     '("memfblineboxtwo" 1)
     '("bvendofpage" 1)
     '("setbvlinenums" 2)
     '("bvtopofpage" 1)
     '("commentson" 1)
     '("commentsoff" 1)
     '("newcomment" 1)
     '("setverbatimfont" 1)
     '("registrationColour" 1)
     '("changed" 1)
     '("deleted" 1)
     '("added" 1)
     '("pagenotesubhead" 3)
     '("pagenotehyperanchor" 1)
     '("startnoteentrystart" 4)
     '("noteinnotes" 1)
     '("printpageinnoteshyperref" 1)
     '("printpageinnotes" 1)
     '("pageinnotes" 1)
     '("noteidinnotes" 2)
     '("idtextinnotes" 1)
     '("notenuminnotes" 1)
     '("notenumintext" 1)
     '("addtonotes" 1)
     '("makesidefootmark" 1)
     '("sidefootmarkstyle" 1)
     '("setsidefeet" 6)
     '("setsidefootheight" 1)
     '("sidefootmargin" 1)
     '("paragraphfootstyle" 1)
     '("threecolumnfootstyle" 1)
     '("twocolumnfootstyle" 1)
     '("plainfootstyle" 1)
     '("newfootnoteseries" 1)
     '("footref" 1)
     '("makefootmark" 1)
     '("footmarkstyle" 1)
     '("sidebar" 1)
     '("sidebarmargin" 1)
     '("setsidebars" 6)
     '("setsidebarheight" 1)
     '("sideparmargin" 1)
     '("marginparmargin" 1)
     '("memglonum" 1)
     '("memgloref" 1)
     '("memglodesc" 1)
     '("memgloterm" 1)
     '("glossitem" 4)
     '("memwritetoglo" 5)
     '("seealso" 2)
     '("see" 2)
     '("hyperlink" 2)
     '("hyperpage" 1)
     '("specialindex" 3)
     '("setbiblabel" 1)
     '("setsecnumdepth" 1)
     '("maxsecnumdepth" 1)
     '("maxtocdepth" 1)
     '("changetocdepth" 1)
     '("settocdepth" 1)
     '("cftinserthook" 2)
     '("cftinsertcode" 2)
     '("cftinsert" 1)
     '("cftaddnumtitleline" 5)
     '("cftaddtitleline" 4)
     '("cftlocalchange" 3)
     '("precistoctext" 1)
     '("chapterprecistoc" 1)
     '("chapterprecishere" 1)
     '("chapterprecis" 1)
     '("cftpagenumberson" 1)
     '("cftpagenumbersoff" 1)
     '("cftchapterfillnum" 1)
     '("cftchapterformatpnum" 1)
     '("cftchapterformatpnumhook" 1)
     '("chapternumberline" 1)
     '("chapternumberlinehook" 1)
     '("cftpartfillnum" 1)
     '("cftpartformatpnum" 1)
     '("cftpartformatpnumhook" 1)
     '("partnumberline" 1)
     '("partnumberlinehook" 1)
     '("cftbookformatpnum" 1)
     '("cftbookformatpnumhook" 1)
     '("cftbookfillnum" 1)
     '("booknumberline" 1)
     '("booknumberlinehook" 1)
     '("cftsetindents" 3)
     '("numberlinehook" 1)
     '("cftdotfill" 1)
     '("setrmarg" 1)
     '("setpnumwidth" 1)
     '("newlistof" 3)
     '("tocskip" 1)
     '("theTitleReference" 2)
     '("Sref" 1)
     '("Cref" 1)
     '("Pref" 1)
     '("Bref" 1)
     '("Aref" 1)
     '("pref" 1)
     '("tref" 1)
     '("fref" 1)
     '("dropchapter" 1)
     '("qitemlabel" 1)
     '("qitem" 2)
     '("epigraph" 2)
     '("epigraphsourceposition" 1)
     '("epigraphtextposition" 1)
     '("epigraphposition" 1)
     '("epigraphfontsize" 1)
     '("overridescapmargin" 1)
     '("sidecapmargin" 1)
     '("setsidecappos" 1)
     '("setsidecaps" 2)
     '("subcaptionfont" 1)
     '("subcaptionlabelfont" 1)
     '("subcaptionsize" 1)
     '("subcaptionstyle" 1)
     '("bicontcaption" 3)
     '("membicaptioninfo" 6)
     '("membionenumcaptioninfo" 7)
     '("membitwonumcaptioninfo" 7)
     '("memnamedlegendinfo" 3)
     '("legend" 1)
     '("memlegendinfo" 1)
     '("memcaptioninfo" 4)
     '("captiontitlefinal" 1)
     '("midbicaption" 1)
     '("postcaption" 1)
     '("precaption" 1)
     '("indentcaption" 1)
     '("captionwidth" 1)
     '("captionstyle" 1)
     '("captiontitlefont" 1)
     '("captionnamefont" 1)
     '("captiondelim" 1)
     '("setmpjustification" 2)
     '("setmarginfloatcaptionadjustment" 2)
     '("setFloatBlockFor" 1)
     '("newsubfloat" 1)
     '("setfloatadjustment" 2)
     '("setfloatlocations" 2)
     '("memcline" 2)
     '("bktabrule" 1)
     '("memPoemTitlestarinfo" 2)
     '("memPoemTitleinfo" 4)
     '("poemtitlestarmark" 1)
     '("poemtitlemark" 1)
     '("mempoemstarinfo" 1)
     '("mempoeminfo" 1)
     '("indentpattern" 1)
     '("gobm" 1)
     '("checkifinteger" 1)
     '("arraytostring" 2)
     '("checkarrayindex" 2)
     '("getarrayelement" 3)
     '("setarrayelement" 3)
     '("stringtoarray" 2)
     '("newarray" 3)
     '("vleftofline" 1)
     '("vinphantom" 1)
     '("flagverse" 1)
     '("getthelinenumber" 2)
     '("setverselinenums" 2)
     '("linenumberfrequency" 1)
     '("linenumberfont" 1)
     '("abslabeldelim" 1)
     '("symboldef" 2)
     '("symbollabel" 1)
     '("blockdescriptionlabel" 1)
     '("descriptionlabel" 1)
     '("leftspringright" 4)
     '("hangpara" 2)
     '("hangfrom" 1)
     '("memleadpagestarinfo" 3)
     '("memleadpageinfo" 3)
     '("memapppagestarinfo" 1)
     '("memapppageinfo" 1)
     '("addperiod" 1)
     '("headstyles" 1)
     '("makeheadstyles" 2)
     '("setsecnumformat" 1)
     '("sethangfrom" 1)
     '("setsubparaheadstyle" 1)
     '("setaftersubparaskip" 1)
     '("setbeforesubparaskip" 1)
     '("setsubparaindent" 1)
     '("setsubparahook" 1)
     '("setparaheadstyle" 1)
     '("setafterparaskip" 1)
     '("setbeforeparaskip" 1)
     '("setparaindent" 1)
     '("setparahook" 1)
     '("setsubsubsecheadstyle" 1)
     '("setaftersubsubsecskip" 1)
     '("setbeforesubsubsecskip" 1)
     '("setsubsubsecindent" 1)
     '("setsubsubsechook" 1)
     '("setsubsecheadstyle" 1)
     '("setaftersubsecskip" 1)
     '("setbeforesubsecskip" 1)
     '("setsubsecindent" 1)
     '("setsubsechook" 1)
     '("setsecheadstyle" 1)
     '("setaftersecskip" 1)
     '("setbeforesecskip" 1)
     '("setsecindent" 1)
     '("setsechook" 1)
     '("memsecstarinfo" 2)
     '("memsecinfo" 5)
     '("chapterstyle" 1)
     '("makechapterstyle" 2)
     '("settocpreprocessor" 2)
     '("memappchapstarinfo" 2)
     '("memappchapinfo" 4)
     '("memchapstarinfo" 2)
     '("memchapinfo" 4)
     '("mempartstarinfo" 1)
     '("mempartinfo" 3)
     '("printparttitle" 1)
     '("membookstarinfo" 1)
     '("membookinfo" 3)
     '("printbooktitle" 1)
     '("chaptermark" 1)
     '("partmark" 1)
     '("bookpagemark" 1)
     '("thanksmarkstyle" 1)
     '("thanksgap" 1)
     '("thanksmark" 1)
     '("thanksheadextra" 2)
     '("thanksmarkseries" 1)
     '("postdate" 1)
     '("predate" 1)
     '("postauthor" 1)
     '("preauthor" 1)
     '("posttitle" 1)
     '("pretitle" 1)
     '("abnormalparskip" 1)
     '("setDisplayskipStretch" 1)
     '("setFloatSpacing" 1)
     '("setPagenoteSpacing" 1)
     '("setSingleSpace" 1)
     '("setSpacing" 1)
     '("clearmark" 1)
     '("clearplainmark" 1)
     '("addtopsmarks" 3)
     '("createmark" 5)
     '("createplainmark" 3)
     '("makeheadfootstrut" 3)
     '("mergepagefloatstyle" 3)
     '("ifonlyfloats" 2)
     '("copypagestyle" 2)
     '("aliaspagestyle" 2)
     '("makepagestyle" 1)
     '("makeheadfootvposition" 3)
     '("makepsmarks" 2)
     '("makeheadposition" 5)
     '("makeheadfootruleprefix" 3)
     '("makefootrule" 4)
     '("makeheadrule" 3)
     '("makerunningfootwidth" 2)
     '("makerunningheadwidth" 2)
     '("makerunningwidth" 1)
     '("makeoddfoot" 4)
     '("makeevenfoot" 4)
     '("makeoddhead" 4)
     '("makeevenhead" 4)
     '("setpagecc" 3)
     '("setpagebm" 3)
     '("setpagebr" 3)
     '("setpagemr" 3)
     '("setpagetr" 3)
     '("setpagetm" 3)
     '("setpagetl" 3)
     '("setpageml" 3)
     '("setpagebl" 3)
     '("settypeoutlayoutunit" 1)
     '("setmarginnotes" 3)
     '("setcolsepandrule" 2)
     '("setheadfoot" 2)
     '("setheaderspaces" 3)
     '("setulmarginsandblock" 3)
     '("setulmargins" 3)
     '("setlrmarginsandblock" 3)
     '("setlrmargins" 3)
     '("setbinding" 1)
     '("settypeblocksize" 3)
     '("settrimmedsize" 3)
     '("settrims" 2)
     '("setstocksize" 2)
     '("setfillsize" 5)
     '("setrectanglesize" 3)
     '("patchcommand" 1)
     '("cmd" 1)
     '("cmdprint" 1)
     '("cs" 1)
     '("parg" 1)
     '("oarg" 1)
     '("marg" 1)
     '("meta" 1)
     '("memsetcounter" 2)
     '("RequireAtEndClass" 2)
     '("AtEndClass" 2)
     '("AtBeginClass" 2)
     '("RequireAtEndPackage" 2)
     '("AtEndPackage" 2)
     '("AtBeginPackage" 2)
     '("AtEndFile" 2)
     '("AtBeginFile" 2)
     '("DisemulatePackage" 1)
     '("memsetlengthmax" 3)
     '("memsetlengthmin" 3)
     '("memifmacroused" 1)
     '("memsetmacrounused" 1)
     '("memsetmacroused" 1)
     '("memgobble" 1)
     '("memjustarg" 1)
     '("memlettxtcmd" 2)
     '("memlettxttxt" 1)
     '("memletcmdtxt" 2)
     '("nametest" 2)
     "memversion"
     "kill"
     "EmulatedPackage"
     "EmulatedPackageWithOptions"
     "m"
     "killm"
     "phantomsection"
     "string"
     "the"
     "memRTLleftskip"
     "memRTLrightskip"
     "memRTLvleftskip"
     "memRTLvrightskip"
     "memRTLraggedright"
     "memRTLraggedleft"
     "memRTLmainraggedright"
     "memRTLmainraggedleft"
     "stockdbill"
     "stockstatement"
     "stockexecutive"
     "stockletter"
     "stockold"
     "stocklegal"
     "stockledger"
     "stockbroadsheet"
     "stockpottvo"
     "stockfoolscapvo"
     "stockcrownvo"
     "stockpostvo"
     "stocklargecrownvo"
     "stocklargepostvo"
     "stocksmalldemyvo"
     "stockdemyvo"
     "stockmediumvo"
     "stocksmallroyalvo"
     "stockroyalvo"
     "stocksuperroyalvo"
     "stockimperialvo"
     "stockmcrownvo"
     "stockmlargecrownvo"
     "stockmdemyvo"
     "stockmsmallroyalvo"
     "stockao"
     "stockai"
     "stockaii"
     "stockaiii"
     "stockaiv"
     "stockav"
     "stockavi"
     "stockbo"
     "stockbi"
     "stockbii"
     "stockbiii"
     "stockbiv"
     "stockbv"
     "stockbvi"
     "pagedbill"
     "pagestatement"
     "pageexecutive"
     "pageletter"
     "pageold"
     "pagelegal"
     "pageledger"
     "pagebroadsheet"
     "pagepottvo"
     "pagefoolscapvo"
     "pagecrownvo"
     "pagepostvo"
     "pagelargecrownvo"
     "pagelargepostvo"
     "pagesmalldemyvo"
     "pagedemyvo"
     "pagemediumvo"
     "pagesmallroyalvo"
     "pageroyalvo"
     "pagesuperroyalvo"
     "pageimperialvo"
     "pagemcrownvo"
     "pagemlargecrownvo"
     "pagemdemyvo"
     "pagemsmallroyalvo"
     "pageao"
     "pageai"
     "pageaii"
     "pageaiii"
     "pageaiv"
     "pageav"
     "pageavi"
     "pagebo"
     "pagebi"
     "pagebii"
     "pagebiii"
     "pagebiv"
     "pagebv"
     "pagebvi"
     "anyptfilebase"
     "anyptsize"
     "openright"
     "openany"
     "openleft"
     "memoirpostopthook"
     "memfontfamily"
     "memfontenc"
     "memfontpack"
     "captionsize"
     "mem"
     "fixthelayout"
     "typeoutlayout"
     "fixpdflayout"
     "fixdvipslayout"
     "typeoutstandardlayout"
     "footruleheight"
     "footruleskip"
     "nouppercaseheads"
     "uppercaseheads"
     "showheadfootlocon"
     "showheadfootlocoff"
     "showtextblocklocon"
     "showtextblocklocoff"
     "framepichook"
     "framepichead"
     "framepictextfoot"
     "fixheaderwidths"
     "savepagenumber"
     "restorepagenumber"
     "SingleSpacing"
     "OnehalfSpacing"
     "DoubleSpacing"
     "memdskipstretch"
     "noDisplayskipStretch"
     "memdskips"
     "memPD"
     "traditionalparskip"
     "nonzeroparskip"
     "maketitlehooka"
     "maketitlehookb"
     "maketitlehookc"
     "maketitlehookd"
     "symbolthanksmark"
     "continuousmarks"
     "tamark"
     "makethanksmarkhook"
     "thanksfootmark"
     "makethanksmark"
     "usethanksrule"
     "cancelthanksrule"
     "emptythanks"
     "keepthetitle"
     "killtitle"
     "frontmatter"
     "mainmatter"
     "backmatter"
     "theHbook"
     "toclevel"
     "book"
     "beforebookskip"
     "midbookskip"
     "afterbookskip"
     "booknamefont"
     "booknumfont"
     "booktitlefont"
     "printbookname"
     "booknamenum"
     "printbooknum"
     "mempreaddbooktotochook"
     "mempostaddbooktotochook"
     "bookblankpage"
     "nobookblankpage"
     "bookpageend"
     "part"
     "beforepartskip"
     "midpartskip"
     "afterpartskip"
     "partnamefont"
     "partnumfont"
     "parttitlefont"
     "printpartname"
     "partnamenum"
     "printpartnum"
     "mempreaddparttotochook"
     "mempostaddparttotochook"
     "partblankpage"
     "nopartblankpage"
     "partpageend"
     "chapter"
     "indentafterchapter"
     "noindentafterchapter"
     "mempreaddchaptertotochook"
     "mempostaddchaptertotochook"
     "memendofchapterhook"
     "insertchapterspace"
     "reparticle"
     "colorchapnum"
     "colorchaptitle"
     "raggedbottomsection"
     "normalbottomsection"
     "bottomsectionpenalty"
     "section"
     "sechook"
     "beforesecskip"
     "aftersecskip"
     "secheadstyle"
     "subsection"
     "subsechook"
     "beforesubsecskip"
     "aftersubsecskip"
     "subsecheadstyle"
     "subsubsection"
     "subsubsechook"
     "beforesubsubsecskip"
     "aftersubsubsecskip"
     "subsubsecheadstyle"
     "paragraph"
     "parahook"
     "beforeparaskip"
     "afterparaskip"
     "paraheadstyle"
     "subparagraph"
     "subparahook"
     "beforesubparaskip"
     "aftersubparaskip"
     "subparaheadstyle"
     "hangsecnum"
     "defaultsecnum"
     "plainbreak"
     "fancybreak"
     "plainfancybreak"
     "pen"
     "pfbreakdisplay"
     "pfbreak"
     "noprelistbreak"
     "appendix"
     "appendixpage"
     "mempreaddapppagetotochook"
     "mempostaddapppagetotochook"
     "restoreapp"
     "setthesection"
     "namedsubappendices"
     "unnamedsubappendices"
     "leadpagetoclevel"
     "dlfm"
     "flushleftright"
     "russianpar"
     "lastlineparrule"
     "lastlinerulefill"
     "centerlastline"
     "leftcenterright"
     "centerfloat"
     "ragrparindent"
     "justlastraggedleft"
     "raggedrightthenleft"
     "everylistparindent"
     "setnzplist"
     "defaultlists"
     "firmlists"
     "tightlists"
     "firmlist"
     "tightlist"
     "savetrivseps"
     "restoretrivseps"
     "zerotrivseps"
     "abstractcol"
     "abstractintoc"
     "abstractnum"
     "abstractrunin"
     "abstractnamefont"
     "abstracttextfont"
     "abscolnamefont"
     "abscoltextfont"
     "absnamepos"
     "setup"
     "put"
     "num"
     "saythanks"
     "vin"
     "vleftmargin"
     "incr"
     "verselinenumbersright"
     "verselinenumbersleft"
     "start"
     "theHpoemline"
     "get"
     "getstar"
     "poemtitle"
     "poemtoc"
     "poemtitlefont"
     "NumberPoemTitle"
     "PlainPoemTitle"
     "theHpoem"
     "poemtitlepstyle"
     "poemtitlestarpstyle"
     "PoemTitle"
     "PoemTitlenumfont"
     "PoemTitlefont"
     "firsthline"
     "lasthline"
     "CT"
     "heavyrulewidth"
     "lightrulewidth"
     "cmidrulewidth"
     "belowrulesep"
     "belowbottomsep"
     "aboverulesep"
     "abovetopsep"
     "cmidrulesep"
     "cmidrulekern"
     "defaultaddspace"
     "ctableftskip"
     "ctabrightskip"
     "NC"
     "abovecolumnspenalty"
     "linespercol"
     "FloatBlockAllowAbove"
     "FloatBlockAllowBelow"
     "marginfloatmarginmacro"
     "mpjustification"
     "changecaptionwidth"
     "normalcaptionwidth"
     "hangcaption"
     "normalcaption"
     "contcaption"
     "namedlegend"
     "shortsubcaption"
     "hangsubcaption"
     "normalsubcaption"
     "subfloattopskip"
     "subfloatcapskip"
     "subfloatcaptopadj"
     "subfloatbottomskip"
     "subfloatlabelskip"
     "subfloatcapmargin"
     "loosesubcaptions"
     "tightsubcaptions"
     "subconcluded"
     "subcaption"
     "contsubcaption"
     "subbottom"
     "contsubbottom"
     "subtop"
     "contsubtop"
     "memlistsubcaptions"
     "memsubfig"
     "memsub"
     "subcaptionref"
     "ssc"
     "sidecapsep"
     "sidecapwidth"
     "sidecapraise"
     "setm"
     "sidecapstyle"
     "undodrop"
     "epigraphpicture"
     "em"
     "eminnershape"
     "emph"
     "headnameref"
     "tocnameref"
     "titleref"
     "currenttitle"
     "namerefon"
     "namerefoff"
     "onecoltocetc"
     "twocoltocetc"
     "doccoltocetc"
     "KeepFromToc"
     "cftdot"
     "cftdotsep"
     "cftnodots"
     "cftparfillskip"
     "cftwhatismyname"
     "cftbookname"
     "cftbookbreak"
     "l"
     "cftbookindent"
     "cftbooknumwidth"
     "cftbookfont"
     "cftbookpresnum"
     "cftbookaftersnum"
     "cftbookaftersnumb"
     "cftbookleader"
     "cftbookdotsep"
     "cftbookpagefont"
     "cftbookafterpnum"
     "cftpartname"
     "cftpartbreak"
     "cftpartfont"
     "cftpartpresnum"
     "cftpartaftersnum"
     "cftpartaftersnumb"
     "cftpartleader"
     "cftpartdotsep"
     "cftpartpagefont"
     "cftpartafterpnum"
     "cftchaptername"
     "cftappendixname"
     "cftchapterfont"
     "cftchapterpresnum"
     "cftchapteraftersnum"
     "cftchapteraftersnumb"
     "cftchapterleader"
     "cftchapterdotsep"
     "cftchapterpagefont"
     "cftchapterafterpnum"
     "cftchapterbreak"
     "prechapterprecisshift"
     "precisfont"
     "prechapterprecis"
     "postchapterprecis"
     "precistocfont"
     "precistocformat"
     "bibindent"
     "biblistextra"
     "newblock"
     "bibsection"
     "bibintoc"
     "nobibintoc"
     "prebibhook"
     "postbibhook"
     "onecolindex"
     "twocolindex"
     "indexintoc"
     "noindexintoc"
     "preindexhook"
     "subitem"
     "subsubitem"
     "indexspace"
     "makememindexhook"
     "makeindex"
     "reportnoidxfile"
     "ignorenoidxfile"
     "showindexmarks"
     "hideindexmarks"
     "xindyindex"
     "seename"
     "alsoname"
     "citeindexfile"
     "sloppybottom"
     "onecolglossary"
     "twocolglossary"
     "begintheglossaryhook"
     "atendtheglossaryhook"
     "preglossaryhook"
     "glossaryintoc"
     "noglossaryintoc"
     "glossarycolsep"
     "glossaryrule"
     "glossaryspace"
     "makeglossary"
     "makememglossaryhook"
     "setmpbools"
     "parnopar"
     "setspbools"
     "setspcode"
     "sideparfont"
     "sideparform"
     "sidepar"
     "sidebarform"
     "sidecontents"
     "multfootsep"
     "multiplefootnotemarker"
     "makefootmarkhook"
     "footfootmark"
     "extrafeetins"
     "extrafeetinshook"
     "extrafeetreinshook"
     "foottextfont"
     "extrafeetminihook"
     "extrafeetendmini"
     "extrafeetendminihook"
     "plainfootnotes"
     "mp"
     "twocolumnfootnotes"
     "threecolumnfootnotes"
     "footfudgefiddle"
     "paragraphfootnotes"
     "feetabovefloat"
     "feetbelowfloat"
     "footnotesatfoot"
     "footnotesinmargin"
     "sidefootform"
     "sidefootcontents"
     "thesidempfn"
     "sidefootnote"
     "sidefootnotemark"
     "sidefootnotetext"
     "makesidefootmarkhook"
     "sidefootfootmark"
     "notepageref"
     "continuousnotenums"
     "immediate"
     "pnchap"
     "pnschap"
     "pagetofootnote"
     "foottopagenote"
     "prenoteinnotes"
     "postnoteinnotes"
     "prenotetext"
     "postnotetext"
     "notesname"
     "notedivision"
     "printpagenotes"
     "mempnofilewarn"
     "pagenotesubheadstarred"
     "changemarks"
     "nochangemarks"
     "v"
     "showtrimsoff"
     "showtrimson"
     "trimmark"
     "Ltrimpictl"
     "Ltrimpictr"
     "Ltrimpicbl"
     "Ltrimpicbr"
     "Ftrimpicbl"
     "trimXmarks"
     "trimLmarks"
     "trimFrame"
     "trimNone"
     "trimmarkscolor"
     "trimmarks"
     "quarkmarks"
     "tabsoff"
     "setupcomment"
     "verbatimbreakchar"
     "setverbatimbreak"
     "raggedwrap"
     "wrappingon"
     "wrappingoff"
     "resetbvlinenumber"
     "bvnumbersinside"
     "bvnumbersoutside"
     "setupboxverb"
     "setupbox"
     "boxedverbatiminput"
     "bvbox"
     "nobvbox"
     "bvtopandtail"
     "bvsides"
     "FrameRule"
     "FrameSep"
     "FirstFrameCommand"
     "MidFrameCommand"
     "LastFrameCommand"
     "FrameHeightAdjust"
     "memfblistfixparams"
     "instre"
     "outstre"
     "checkstre"
     "stre"
     "readboxedverbatim"
     "provideenvironment"
     "newloglike"
     "provideloglike"
     "counterwithin"
     "counterwithout"
     "strictpagecheck"
     "easypagecheck"
     "cplabel"
     "checkoddpage"
     "ch"
     "Needspace"
     "M"
     "midsloppy"
     "medspace"
     "namenumberand"
     "namenumbercomma"
     "lcminusname"
     "ucminusname"
     "tensunitsep"
     "nthstring"
     "iststring"
     "iindstring"
     "iiirdstring"
     "tiethstring"
     "teenstring"
     "form"
     "nNameo"
     "nNamec"
     "nNamem"
     "nNamemm"
     "nNamemmm"
     "nNamei"
     "nNameii"
     "nNameiii"
     "nNameiv"
     "nNamev"
     "nNamevi"
     "nNamevii"
     "nNameviii"
     "nNameix"
     "nNamex"
     "nNamexi"
     "nNamexii"
     "nNamexiii"
     "nNamexiv"
     "nNamexv"
     "nNamexvi"
     "nNamexvii"
     "nNamexviii"
     "nNamexix"
     "nNamexx"
     "nNamexxx"
     "nNamexl"
     "nNamel"
     "nNamelx"
     "nNamelxx"
     "nNamelxxx"
     "nNamexc"
     "nthNameo"
     "nthNamei"
     "nthNameii"
     "nthNameiii"
     "nthNameiv"
     "nthNamev"
     "nthNamevi"
     "nthNamevii"
     "nthNameviii"
     "nthNameix"
     "nthNamexii"
     "nthNamexx"
     "nthNamexxx"
     "nthNamexl"
     "nthNamel"
     "nthNamelx"
     "nthNamelxx"
     "nthNamelxxx"
     "nthNamexc"
     "n"
     "hmpunct"
     "amname"
     "pmname"
     "printtime"
     "dol"
     "MakeTextUppercase"
     "MakeTextLowercase"
     "abstractname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bookname"
     "partname"
     "chaptername"
     "appendixname"
     "appendixtocname"
     "appendixpagename"
     "bibname"
     "indexname"
     "glossaryname"
     "figurename"
     "tablename"
     "figurerefname"
     "tablerefname"
     "pagename"
     "pagerefname"
     "bookrefname"
     "partrefname"
     "chapterrefname"
     "sectionrefname"
     "appendixrefname"
     "today"
     "msdoublespacing"
     "mssinglespacing"
     "bs"
     "RequireXeTeX"
     "addtodef"
     "addtoiargdef"
     "patchcmdError"
     "cleartorecto"
     "cleartoverso"
     "memUChead"
     "cleardoublepage"
     "glossarymark"
     "chaptermark"
     "sectionmark"
     "tocmark"
     "lofmark"
     "lotmark"
     "bibmark"
     "indexmark"
     "thanksscript"
     "thanksrule"
     "footnotesize"
     "maketitle"
     "title"
     "author"
     "date"
     "thanksmarkseries"
     "thanksfootextra"
     "thanksmark"
     "thanksgap"
     "thanks"
     "and"
     "andnext"
     "thetitle"
     "theauthor"
     "thedate"
     "chapterheadstart"
     "printchaptername"
     "chapternamenum"
     "printchapternum"
     "afterchapternum"
     "printchapternonum"
     "printchaptertitle"
     "afterchaptertitle"
     "chapnamefont"
     "chapnumfont"
     "chaptitlefont"
     "pfbreakOutput"
     "addappheadtotoc"
     "sectionname"
     "memorigdbs"
     "memorigpar"
     "atcentercr"
     "enumerate"
     "vlvnumfont"
     "linemodnum"
     "PoemTitleheadstart"
     "printPoemTitlenum"
     "afterPoemTitlenum"
     "printPoemTitlenonum"
     "printPoemTitletitle"
     "afterPoemTitle"
     "multicolumn"
     "newcolumntype"
     "showcols"
     "verb"
     "tabularxcolumn"
     "write"
     "let"
     "hbadness"
     "hfuzz"
     "arraybackslash"
     "tracingtabularx"
     "futurenonspacelet"
     "nexttoken"
     "toprule"
     "midrule"
     "bottomrule"
     "specialrule"
     "addlinespace"
     "cmrsideswitch"
     "cmidrule"
     "morecmidrules"
     "tabularnewline"
     "ctabsetlines"
     "hline"
     "preautotab"
     "postautotab"
     "FloatBlock"
     "footnote"
     "footnotemark"
     "memcaptioninfo"
     "sidecapfloatwidth"
     "epigraphsize"
     "epigraphflush"
     "textflush"
     "sourceflush"
     "makelabel"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "label"
     "index"
     "glossary"
     "markboth"
     "markright"
     "noexpand"
     "numberline"
     "ensureonecol"
     "restorefromonecol"
     "numberlinebox"
     "partnumberlinebox"
     "chapternumberlinebox"
     "booknumberlinebox"
     "item"
     "specialindex"
     "hyperspindexpage"
     "memglofile"
     "memwritetoglo"
     "sidebarfont"
     "footscript"
     "verbfootnote"
     "footnoterule"
     "sidefoottextfont"
     "baselinestretch"
     "sidefootscript"
     "makepagenote"
     "pagenote"
     "memsavepagenote"
     "memsavefootnote"
     "pagenoteanchor"
     "startnoteentry"
     "tmarktl"
     "tmarktr"
     "tmarkbl"
     "tmarkbr"
     "tmarktm"
     "tmarkml"
     "tmarkmr"
     "tmarkbm"
     "x"
     "verbatiminput"
     "wrapright"
     "MakeShortVerb"
     "DeleteShortVerb"
     "boxverbflag"
     "bvtoprulehook"
     "bvendrulehook"
     "bvleftsidehook"
     "bvrightsidehook"
     "bvtopmidhook"
     "frenchspacing"
     "width"
     "height"
     "FrameRestore"
     "FrameCommand"
     "readstream"
     "readaline"
     "readverbatim"
     "protect"
     "minusname"
     "fnumbersep"
     "ordstring"
     "cite"
     "NoCaseChange"
     "i"
     "j"
     "caption"
     "newfloat")
    (TeX-run-style-hooks
     "mempatch"
     "etex"
     "ifluatex"
     "ifxetex"
     "ifetex"
     "ifpdf"
     ""
     "leqno"
     "fleqn"
     "mem17")))

