(TeX-add-style-hook "nlctdoc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\actualchar{\\protect\\ttfamily#1}
           (environment)\\encapchar usage"
     "environments:\\levelchar#1\\actualchar{\\protect\\ttfamily#1}\\encapchar
           usage"
     "#1\\actualchar#2"
     "#1\\levelchar
                                 \\ifx\\saved@macroname\\@empty
                                   \\space
                                   \\actualchar
                                   \\generalname
                                 \\else
                                   \\expandafter\\@gobble
                                   \\saved@macroname
                                   \\actualchar
                                   \\string\\verb\\quotechar*%
                                   \\verbatimchar\\saved@macroname
                                   \\verbatimchar
                                 \\fi
                                 :\\levelchar #3"
     "#1=\\appfmt{#1}|hyperpage"
     "#1|main"
     "#1
options=\\cs{#1} options>#2=\\textsf{#2}|hyperpage"
     "package options:>#2=\\pkgoptfmt{#2}|main"
     "package options:>#2=\\pkgoptfmt{#2}>#1=\\pkgoptfmt{#1}|main"
     "class options:>#2=\\clsoptfmt{#2}|main"
     "class options:>#2=\\clsoptfmt{#2}>#1=\\clsoptfmt{#1}|main"
     "file
  types>#1=\\filetypefmt{#1}|hyperpage"
     "#1 package=\\styfmt{#1}
  package|hyperpage"
     "#1 class=\\clsfmt{#1} class|hyperpage"
     "#1 counter=\\ctrfmt{#1}
counter|hyperpage"
     "#1 boolean variable=\\boolfmt{#1}
boolean variable|hyperpage"
     "#1 bibliography style=\\bstfmt{#1} 
bibliography style|hyperpage")
    (LaTeX-add-environments
     "theindex"
     "environment"
     "macro"
     "macrocode"
     '("example" 2)
     '("labelledbox" 1)
     "theglossary"
     "definition"
     "important"
     "prompt"
     "display")
    (LaTeX-add-labels
     "#2")
    (TeX-add-symbols
     '("clsopt" ["argument"] 1)
     '("iclsopt" ["argument"] 1)
     '("pkgopt" ["argument"] 1)
     '("ipkgopt" ["argument"] 1)
     '("importantpar" ["argument"] 0)
     '("xrsectionref" 3)
     '("altdocref" 3)
     '("submenu" 1)
     '("urlfootref" 2)
     '("urlref" 2)
     '("docref" 2)
     '("qtdocref" 2)
     '("sectionref" 1)
     '("ctandoc" 1)
     '("menu" 1)
     '("bst" 1)
     '("ibst" 1)
     '("bstfmt" 1)
     '("bool" 1)
     '("ibool" 1)
     '("boolfmt" 1)
     '("ctr" 1)
     '("ictr" 1)
     '("ctrfmt" 1)
     '("env" 1)
     '("ienv" 1)
     '("envfmt" 1)
     '("cls" 1)
     '("icls" 1)
     '("clsfmt" 1)
     '("sty" 1)
     '("isty" 1)
     '("styfmt" 1)
     '("filetype" 1)
     '("ifiletype" 1)
     '("filetypefmt" 1)
     '("clsoptval" 2)
     '("clsoptfmt" 1)
     '("pkgoptval" 2)
     '("pkgoptfmt" 1)
     '("csopt" 2)
     '("icsopt" 2)
     '("ics" 1)
     '("Tableref" 1)
     '("tableref" 1)
     '("iterm" 1)
     '("term" 1)
     '("termdef" 1)
     '("qt" 1)
     '("app" 1)
     '("iapp" 1)
     '("appfmt" 1)
     '("see" 2)
     '("DocInclude" 1)
     '("parg" 1)
     '("oarg" 1)
     '("marg" 1)
     '("cs" 1)
     '("meta" 1)
     "MacrocodeTopsep"
     "MacroIndent"
     "MacroTopsep"
     "IndexMin"
     "GlossaryMin"
     "AlsoImplementation"
     "the"
     "importantsymbol"
     "Describe"
     "examplename"
     "listofexamples"
     "toTop"
     "MacroFont"
     "AltMacroFont"
     "DontCheckModules"
     "CheckModules"
     "Module"
     "DescribeMacro"
     "DescribeEnv"
     "verbatim"
     "verb"
     "makelabel"
     "PrintMacroName"
     "PrintDescribeMacro"
     "PrintDescribeEnv"
     "PrintEnvName"
     "MakePrivateLetters"
     "EnableCrossrefs"
     "DisableCrossrefs"
     "x"
     "DoNotIndex"
     "actualchar"
     "quotechar"
     "levelchar"
     "encapchar"
     "verbatimchar"
     "SpecialIndex"
     "SpecialMainIndex"
     "SpecialMainEnvIndex"
     "SpecialUsageIndex"
     "SpecialEnvIndex"
     "SortIndex"
     "LeftBraceIndex"
     "RightBraceIndex"
     "OldMakeindex"
     "PercentIndex"
     "IndexPrologue"
     "IndexParms"
     "subitem"
     "subsubitem"
     "indexspace"
     "efill"
     "dotfill"
     "dotfil"
     "pfill"
     "main"
     "usage"
     "changes"
     "generalname"
     "RecordChanges"
     "item"
     "GlossaryPrologue"
     "GlossaryParms"
     "OnlyDescription"
     "StopEventually"
     "Finale"
     "IndexInput"
     "MakeShortVerb"
     "DeleteShortVerb"
     "MakeShortverb"
     "DeleteShortverb"
     "CheckSum"
     "CharacterTable"
     "used"
     "CharTableChanges"
     "CodelineNumbered"
     "CodelineIndex"
     "PageIndex"
     "theCodelineNo"
     "DocstyleParms"
     "AmSTeX"
     "BibTeX"
     "SliTeX"
     "PlainTeX"
     "Web"
     "MakePercentIgnore"
     "MakePercentComment"
     "DocInput"
     "GetFileInfo"
     "filename"
     "fileinfo"
     "cmd"
     "commentline"
     "partname"
     "currentfile"
     "ttfamily"
     "PrintIndex"
     "PrintChanges"
     "aalph"
     "thepart"
     "filesep"
     "filekey"
     "docincludeaux"
     "task"
     "defarg"
     "oldlabel")
    (TeX-run-style-hooks
     "dox"
     "multicol"
     "tex4ht"
     "utf8"
     "uni-html4"
     "css-in"
     "fn-in"
     "xhtml"
     "cmap"
     "ifpdf"
     "fourier"
     "xcolor"
     "")))

